{
	"format_version": "1.10.0",
	"animation_controllers": {
	  "controller.animation.nicothekid_fire_bird.movement": {
			"initial_state": "default",
			"states": {
				"default": {
					"animations": [
						{
							"walking": "query.modified_move_speed"
						}
					],
					"transitions": [
						{
							"default": "!query.is_moving== 1 && query.all_animations_finished"
						},
						{
							"flying": "!query.is_on_ground"
						},
						{
							"sitting": "query.is_sitting"
						}
					],
					"blend_transition": 0.2
				},
				"flying": {
					"animations": [
					  "flying"
					],
					"transitions": [
					  {
					    "default": "query.is_on_ground"
					  }
					],
					"blend_transition": 0.2
				},
				"sitting": {
					"animations": [
					  "sitting"
					],
					"blend_transition": 0.3,
					"transitions": [
						{
							"default": "!query.is_sitting || !query.is_on_ground || query.is_in_water"
						}
					]
				}
			}
		}
	}
}
